Bug 445698 - Bad Class-Path in objectweb-asm XML jar
Bad Class-Path in objectweb-asm XML jar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: objectweb-asm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Walluck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 11:50 EDT by Jerry James
Modified: 2008-10-23 15:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 15:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-05-08 11:50:42 EDT
Description of problem:
The jar file %{_javadir}/objectweb-asm/asm-xml-3.1.jar contains a manifest with
this line:

Class-Path: asm-3.1.jar asm-util-3.1.jar asm-attrs-3.1.jar

There is no file named asm-attrs-3.1.jar in the objectweb-asm package.  In fact,
this Class-Path line should probably be deleted from the manifest.

Version-Release number of selected component (if applicable):
objectweb-asm-3.1-2jpp.1.fc9

How reproducible:
Always

Steps to Reproduce:
1. Unpack %{_javadir}/objectweb-asm/asm-xml-3.1.jar
2. Look at META-INF/MANIFEST.MF

Actual results:
The file contains a Class-Path line with a bad element.

Expected results:
The file probably should not have a Class-Path line at all.

Additional info:
This makes javac issue a warning when compiling code that uses asm-xml.
Comment 1 Bug Zapper 2008-05-14 06:50:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 David Walluck 2008-10-23 15:19:50 EDT
Fixed in 3.1-5.1 by removing the Class-Path.

Note You need to log in before you can comment on or make changes to this bug.